Bug 53329 - Fixes for Ted-2.14 printing problems
Summary: Fixes for Ted-2.14 printing problems
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-15 00:40 UTC by Jonathan
Modified: 2004-07-05 18:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan 2003-06-15 00:40:04 UTC
Printing help to *.ps would cause a crash and Ted required 
/usr/ports/print/gsfonts/ to print correctly. This pr replaces pr
52791

Fix: Apply the attached diff file to /usr/ports/editors/ted

 I tested the fixes using portlint -Av and by following the " Recommended test 
ordering" in section 2.4, of the Porters Handbook.     

--Boundary-00=_jF76+OT+uov/1Cd
Content-Type: text/x-diff;
  charset="us-ascii";
  name="ted_port.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="ted_port.diff"



--Boundary-00=_jF76+OT+uov/1Cd----ddaFBXJRkHn10yfek7BrO3CFqAW57AyJrkUImGFqfxb2BffS
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -urN ted.old/Makefile ted/Makefile
--- ted.old/Makefile	Mon May 19 17:54:44 2003
+++ ted/Makefile	Sat Jun 14 12:08:38 2003
@@ -17,6 +17,7 @@
 LIB_DEPENDS=	png.5:${PORTSDIR}/graphics/png \
 		jpeg.9:${PORTSDIR}/graphics/jpeg \
 		tiff.4:${PORTSDIR}/graphics/tiff
+RUN_DEPENDS=	${LOCALBASE}/share/ghostscript/fonts/Fontmap:${PORTSDIR}/print/gsfonts
 
 WRKSRC=		${WRKDIR}/Ted-${PORTVERSION}
 CONFIGURE_WRKSRC=	${WRKSRC}/Ted
@@ -33,7 +34,7 @@
 ALL_TARGET=	compile.shared
 
 AFMDIR=		${PREFIX}/share/Ted/afm
-INDDIR= 	${PREFIX}/share/Ted/ind
+INDDIR=		${PREFIX}/share/Ted/ind
 INFODIR=	${PREFIX}/share/doc/Ted
 
 post-extract:
@@ -41,8 +42,7 @@
 
 post-patch:
 	${FIND} ${WRKSRC} -name "configure" | ${XARGS} ${REINPLACE_CMD} -e \
-		's|/usr/apps|${LOCALBASE}|g ; \
-		 s|gtk-config|${GTK_CONFIG:T}|g'
+		's|/usr/apps|${LOCALBASE}|g ; '
 	${REINPLACE_CMD} \
 		's|DEF_PKGDIR|DEF_DOCUMENT_DIR|g' ${WRKSRC}/Ted/makefile.in
 
diff -urN ted.old/files/patch-appFrame-appFileChooserMotif.c ted/files/patch-appFrame-appFileChooserMotif.c
--- ted.old/files/patch-appFrame-appFileChooserMotif.c	Wed Dec 31 18:00:00 1969
+++ ted/files/patch-appFrame-appFileChooserMotif.c	Sun Jun  1 20:36:09 2003
@@ -0,0 +1,93 @@
+--- appFrame/appFileChooserMotif.c	Fri Apr  4 06:46:48 2003
++++ /home/bsd/patches/TedFixes/appFileChooserMotif.c	Sun Jun  1 20:19:07 2003
+@@ -549,6 +549,7 @@
+ static int appMakeFileChooser( AppChooserInformation **	pAci,
+ 				Widget				relative,
+ 				EditApplication *		ea,
++				int				withFilter,
+ 				const char *			defaultFilter,
+ 				Widget				option )
+     {
+@@ -624,15 +625,21 @@
+ 			NULL );
+ 
+     /*  Not necessary
+-    XtAddCallback( text, XmNactivateCallback,
++    if  ( withFilter )
++	{
++	XtAddCallback( text, XmNactivateCallback,
+ 				    appFileFilterActivated, (void *)aci );
++	}
+     */
+ 
+     filterButton= XmFileSelectionBoxGetChild( aci->aciDialog.adDialog,
+ 						    XmDIALOG_APPLY_BUTTON );
+ 
+-    XtAddCallback( filterButton, XmNactivateCallback,
++    if  ( withFilter )
++	{
++	XtAddCallback( filterButton, XmNactivateCallback,
+ 				    appFileFilterActivated, (void *)aci );
++	}
+ 
+     text= XmFileSelectionBoxGetChild( aci->aciDialog.adDialog, XmDIALOG_TEXT );
+     XtVaSetValues( text,
+@@ -705,14 +712,15 @@
+ 			EditApplication *	ea )
+     {
+     AppChooserInformation *	aci= (AppChooserInformation *)0;
++    const int			withFilter= extensionCount > 0;
+ 
+-    if  ( appMakeFileChooser( &aci, relative, ea, defaultFilter, option ) )
++    if  ( appMakeFileChooser( &aci, relative, ea, withFilter, defaultFilter, option ) )
+ 	{ LDEB(1); return;	}
+ 
+     XtAddCallback( aci->aciDialog.adDialog,
+ 			XmNokCallback, appOpenChooserOk, (XtPointer)aci );
+ 
+-    if  ( extensionCount > 0 )
++    if  ( withFilter )
+ 	{
+ 	appFileMakeFilter( aci );
+ 
+@@ -727,7 +735,7 @@
+     aci->aciOpenDocument= openDocument;
+     aci->aciFilename= (char *)0;
+ 
+-    if  ( extensionCount > 0 )
++    if  ( withFilter )
+ 	{
+ 	WidgetList		children;
+ 	Cardinal		childCount= 0;
+@@ -920,16 +928,17 @@
+ 				char **			pFilename )
+     {
+     AppChooserInformation *	aci= (AppChooserInformation *)0;
++    const int			withFilter= ea->eaFileExtensionCount > 0;
+     int				response;
+ 
+-    if  ( appMakeFileChooser( &aci, relative, ea,
++    if  ( appMakeFileChooser( &aci, relative, ea, withFilter,
+ 					    ea->eaDefaultFileFilter, option ) )
+ 	{ return ACIrespFAILURE;	}
+ 
+     XtAddCallback( aci->aciDialog.adDialog,
+ 			    XmNokCallback, appSaveOkPushed, (XtPointer)aci );
+ 
+-    if  ( ea->eaFileExtensionCount > 0 )
++    if  ( withFilter )
+ 	{
+ 	appFileMakeFilter( aci );
+ 
+@@ -977,9 +986,10 @@
+ 					char **			pFilename )
+     {
+     AppChooserInformation *	aci= (AppChooserInformation *)0;
++    const int			withFilter= 0;
+     int				response;
+ 
+-    if  ( appMakeFileChooser( &aci, panel, ea, "*.ps", option ) )
++    if  ( appMakeFileChooser( &aci, panel, ea, withFilter, "*.ps", option ) )
+ 	{ LDEB(1); return ACIrespFAILURE;	}
+ 
+     XtAddCallback( aci->aciDialog.adDialog,
diff -urN ted.old/pkg-descr ted/pkg-descr
--- ted.old/pkg-descr	Sun Sep 16 11:59:23 2001
+++ ted/pkg-descr	Sat Jun 14 12:03:29 2003
@@ -1,5 +1,4 @@
-Ted is a text editor running under X Windows on Unix/Linux systems. Ted was
-developed as an operating system accessory like Wordpad on MS-Windows.
+Ted is a text editor running under X Windows on Unix/Linux systems.
 
 Features 
 --------   
@@ -11,11 +10,9 @@
     Portuguese, French and Spanish.)
   * Directly mailing documents from Ted.
   * Cut/Copy/Paste, also with other applications.
-  * Find/Replace.
+  * Find/Replace using regular expressions.
   * Ruler: Paragraph indentation, Indentation of first line, Tabs.
-  * Copy/Paste 
-    Ruler.
-  * Page breaks.
+  * Footnotes and endnotes.
   * Tables: Insert Table, Row, Column. Changing the column width of tables 
     with their ruler.
   * Symbols and accented characters are fully supported.
How-To-Repeat: For the help document crash see 
http://www.freebsd.org/cgi/query-pr.cgi?pr=52791. 

 To reproduce the printing problems:
1) Create a document with Times or Helvetica font that also has math symbols 
in it.
2) Make a hardcopy print of the document.
3) The Math symbols will be overrun by the adjacent Times or Helvetica font.
Comment 1 Will Andrews freebsd_committer 2003-06-18 03:37:27 UTC
State Changed
From-To: open->closed

Committed, thanks.